geode-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Anthony Baker (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (GEODE-2670) Update pulse endpoint interceptors
Date Sat, 17 Jun 2017 18:04:34 GMT

     [ https://issues.apache.org/jira/browse/GEODE-2670?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Anthony Baker closed GEODE-2670.
--------------------------------

> Update pulse endpoint interceptors
> ----------------------------------
>
>                 Key: GEODE-2670
>                 URL: https://issues.apache.org/jira/browse/GEODE-2670
>             Project: Geode
>          Issue Type: Bug
>          Components: pulse, security
>            Reporter: Jinmei Liao
>            Assignee: Jinmei Liao
>             Fix For: 1.1.1, 1.2.0
>
>
> Steps to reproduce:
> 1) in gfsh, start up a locator with a security manager
> 2) in the browser, try to connect to pulse: http://localhost:7070/pulse
> 3) when presented a login page, try a invalid username/password.
> 4) when getting "incorrect password" hint, use the same username, try using the correct
password for that user. It would still say "incorrect password".
> Also, repeat above step 1 and 2, 
> 3), use a correct username and password that only have cluster:read previlage.
> 4) try to access the dataBrowser.html, expect to get denied access, but is still able
to access. 



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message